#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ScatterNode {
    #[builder(custom(type = super::NumericSeriesNode, convert = Box::new))]
    #[serde(rename = "x")]
    x: Box<super::NumericSeriesNode>,
    #[builder(custom(type = super::NumericSeriesNode, convert = Box::new))]
    #[serde(rename = "y")]
    y: Box<super::NumericSeriesNode>,
    #[builder(custom(type = super::AlignmentConfiguration, convert = Box::new))]
    #[serde(rename = "alignmentConfiguration")]
    alignment_configuration: Box<super::AlignmentConfiguration>,
}
impl ScatterNode {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        x: super::NumericSeriesNode,
        y: super::NumericSeriesNode,
        alignment_configuration: super::AlignmentConfiguration,
    ) -> Self {
        Self::builder()
            .x(x)
            .y(y)
            .alignment_configuration(alignment_configuration)
            .build()
    }
    #[inline]
    pub fn x(&self) -> &super::NumericSeriesNode {
        &*self.x
    }
    #[inline]
    pub fn y(&self) -> &super::NumericSeriesNode {
        &*self.y
    }
    #[inline]
    pub fn alignment_configuration(&self) -> &super::AlignmentConfiguration {
        &*self.alignment_configuration
    }
}
